Package twisted :: Package web :: Module widgets :: Class Sidebar

[frames | no frames]

## Class Sidebar

      Widget --+
               |
    StreamWidget --+
                   |
                  Sidebar

Method Summary
| `__init__(self, highlightHeading, highlightSection)`
| `getList(self)`
| ``stream`(self, write, request)` Call 'write' multiple times with a string argument to represent this widget.
Inherited from StreamWidget
| ``display`(self, request)` Produce a list containing a single string.
Inherited from Widget
| ``getTitle`(self, request)`

Class Variable Summary
`str` | `activeHeadingColor` = `'000000'`
`str` | `activeHeadingTextColor` = `'ffffff'`
`str` | `activeSectionColor` = `'0000ff'`
`str` | `activeSectionTextColor` = `'00ffff'`
`list` | `bar` = `[['Twisted', ['mirror', 'http://coopweb.org/ssd/tw...`
`str` | `headingColor` = `'ffffff'`
`str` | `headingTextColor` = `'000000'`
`str` | `sectionColor` = `'000088'`
`str` | `sectionTextColor` = `'008888'`
Inherited from Widget
`NoneType` | `title` = None

Method Details

### stream(self, write, request)

Call 'write' multiple times with a string argument to represent this widget.

  Overrides:
    `twisted.web.widgets.StreamWidget.stream` (inherited documentation)

Class Variable Details

### activeHeadingColor

  Type:
    `str`
  Value:

        '000000'

### activeHeadingTextColor

  Type:
    `str`
  Value:

        'ffffff'

### activeSectionColor

  Type:
    `str`
  Value:

        '0000ff'

### activeSectionTextColor

  Type:
    `str`
  Value:

        '00ffff'

### bar

  Type:
    `list`
  Value:

        [['Twisted',
          ['mirror', 'http://coopweb.org/ssd/twisted/'],
          ['mailing list', 'cgi-bin/mailman/listinfo/twisted-python']]]

### headingColor

  Type:
    `str`
  Value:

        'ffffff'

### headingTextColor

  Type:
    `str`
  Value:

        '000000'

### sectionColor

  Type:
    `str`
  Value:

        '000088'

### sectionTextColor

  Type:
    `str`
  Value:

        '008888'

Generated by Epydoc 2.0 on Sat May 15 20:08:14 2004 | http://epydoc.sf.net